#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.UI.Xaml.Charts;

using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SplineChart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow 
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        
    }
    public class SplineChartViewModel
    {
        public SplineChartViewModel()
        {
            this.list = new ObservableCollection<Data>();
            DateTime yr = new DateTime(2010, 1, 1);
            list.Add(new Data() { Year = yr.AddYears(0), India = 28, Germany = 31, Jappan = 36, America = 39 });
            list.Add(new Data() { Year = yr.AddYears(1), India = 24, Germany = 28, Jappan = 32, America = 36 });
            list.Add(new Data() { Year = yr.AddYears(2), India = 26, Germany = 30, Jappan = 34, America = 40 });
            list.Add(new Data() { Year = yr.AddYears(3), India = 27, Germany = 36, Jappan = 41, America = 44 });
            list.Add(new Data() { Year = yr.AddYears(4), India = 32, Germany = 36, Jappan = 42, America = 45 });
            list.Add(new Data() { Year = yr.AddYears(5), India = 35, Germany = 39, Jappan = 42, America = 48 });
            list.Add(new Data() { Year = yr.AddYears(6), India = 30, Germany = 37, Jappan = 43, America = 46 });
        }
        public ObservableCollection<Data> list
        {
            get;
            set;
        }
    }
    public class Data
    {
        public DateTime Year { get; set; }

        public double India { get; set; }
        public double Germany { get; set; }
        public double Jappan { get; set; }
        public double America { get; set; }
    }
}
